Name:		atheme-services
Version:	7.2.6
Release:	2%{?dist}
Summary:	A portable, secure set of open source, modular IRC services
Group:		System Environment/Daemons
License:	MIT
URL:		https://github.com/atheme/atheme
Source0:	http://atheme.net/downloads/atheme-services-7.2.6.tar.bz2
Source1:	atheme.service
Source2:	atheme.conf

BuildRequires:	systemd, cracklib-devel, pkgconfig, pkgconfig(libpcre), pkgconfig(libqrencode), openssl-devel,
Requires(pre):	pidutils

%description
Atheme is a legacy set of services for IRC networks designed for large IRC networks with high scalability requirements. It is relatively mature software, with some code and design derived from another package called Shrike.

Atheme's behavior is tunable using modules and a highly detailed configuration file. Almost all behavior can be changed at deployment time just by editing the configuration.

%package libcore
Summary:	The Atheme IRC Services core library
Group:		System Environment/Libraries

%description libcore
Atheme is a portable, secure set of open source, modular IRC services
released under the BSD license, designed to run on many IRCds.

%package devel
Summary:	Development files for the Atheme IRC Services core
Group:		Development/Libraries
Requires:	%version

%description devel
Atheme is a portable, secure set of open source, modular IRC services
released under the BSD license, designed to run on many IRCds.

This package contains the development headers for the library found
in %lname.

%prep
%setup -q -n atheme-services-%{version}

%configure \
    --sysconfdir="%_sysconfdir/%name" \
    --bindir="%_sbindir" \
    --docdir="%_docdir/%name" \
    --enable-fhs-paths \
    --enable-warnings \
    --enable-large-net \
    --with-pcre \
    --enable-contrib \
    --disable-rpath \
    --without-libmowgli

%build
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{_bindir} $RPM_BUILD_ROOT%{_sbindir} $RPM_BUILD_ROOT%{_datadir}/ircd $RPM_BUILD_ROOT%{_var}/log $RPM_BUILD_ROOT%{_sysconfdir}/ircd
make install DESTDIR=$RPM_BUILD_ROOT || :

install -D -m644 %{SOURCE1} $RPM_BUILD_ROOT/%{_unitdir}/atheme.service
install -D -m644 %{SOURCE2} $RPM_BUILD_ROOT%{_sysconfdir}/atheme-services/atheme.conf

%clean
rm -rf $RPM_BUILD_ROOT

%pre
getent group atheme  >/dev/null || groupadd -r atheme
getent passwd atheme >/dev/null || \
useradd -r -g atheme -d /run/atheme -s /sbin/nologin \
    -c "atheme user" atheme

%post
%systemd_post atheme.service

%preun
%systemd_preun atheme.service

%postun
%systemd_postun_with_restart atheme.service

%files
%doc README.md INSTALL
%defattr(-,root,root)
%_sysconfdir/%name/
%_sbindir/atheme-services
%_sbindir/dbverify
%_sbindir/ecdsakeygen
/var/lib/atheme/
%_docdir/atheme/
%dir %attr(750,atheme,atheme) /var/log/atheme
%_unitdir/*.service
/usr/include/libmowgli-2/
/usr/lib64/
/usr/share/atheme
/usr/share/locale

%files libcore
%defattr(-,root,root)
%_libdir/libathemecore.so.1*

%files devel
%defattr(-,root,root)
%_includedir/atheme/
%_libdir/libathemecore.so
%_libdir/pkgconfig/atheme-services.pc

%changelog
* Wed Jan 13 2016 Christine Dodrill <me@christine.website> - 7.2.2
- Initial packaging
